import { bundleToComponent } from "redux-arena/tools";
import { withRouter } from "react-router-dom";
import SwitchMotion from "./SwitchMotion";
import actions from "./actions";
import reducer from "./reducer";
import state from "./state";
export default withRouter(bundleToComponent({
    Component: SwitchMotion,
    state: state,
    actions: actions,
    reducer: reducer,
    options: {
        vReducerKey: "_arenaSwitchAnimation"
    }
}));
export { default as Phases } from "./Phases";
